com.amazonaws.services.codedeploy.model

## Class DeploymentGroupInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.DeploymentGroupInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeploymentGroupInfo
    extends Object
    implements Serializable, Cloneable

Information about a deployment group.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeploymentGroupInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeploymentGroupInfo` `clone()`
`boolean` `equals(Object obj)`
`AlarmConfiguration` `getAlarmConfiguration()` A list of alarms associated with the deployment group.
`String` `getApplicationName()` The application name.
`AutoRollbackConfiguration` `getAutoRollbackConfiguration()` Information about the automatic rollback configuration associated with the deployment group.
`List<AutoScalingGroup>` `getAutoScalingGroups()` A list of associated Auto Scaling groups.
`String` `getDeploymentConfigName()` The deployment configuration name.
`String` `getDeploymentGroupId()` The deployment group ID.
`String` `getDeploymentGroupName()` The deployment group name.
`List<EC2TagFilter>` `getEc2TagFilters()` The Amazon EC2 tags on which to filter.
`List<TagFilter>` `getOnPremisesInstanceTagFilters()` The on-premises instance tags on which to filter.
`String` `getServiceRoleArn()` A service role ARN.
`RevisionLocation` `getTargetRevision()` Information about the deployment group's target revision, including type and location.
`List<TriggerConfig>` `getTriggerConfigurations()` Information about triggers associated with the deployment group.
`int` `hashCode()`
`void` `setAlarmConfiguration(AlarmConfiguration alarmConfiguration)` A list of alarms associated with the deployment group.
`void` `setApplicationName(String applicationName)` The application name.
`void` `setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information about the automatic rollback configuration associated with the deployment group.
`void` `setAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)` A list of associated Auto Scaling groups.
`void` `setDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`void` `setDeploymentGroupId(String deploymentGroupId)` The deployment group ID.
`void` `setDeploymentGroupName(String deploymentGroupName)` The deployment group name.
`void` `setEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)` The Amazon EC2 tags on which to filter.
`void` `setOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)` The on-premises instance tags on which to filter.
`void` `setServiceRoleArn(String serviceRoleArn)` A service role ARN.
`void` `setTargetRevision(RevisionLocation targetRevision)` Information about the deployment group's target revision, including type and location.
`void` `setTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)` Information about triggers associated with the deployment group.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeploymentGroupInfo` `withAlarmConfiguration(AlarmConfiguration alarmConfiguration)` A list of alarms associated with the deployment group.
`DeploymentGroupInfo` `withApplicationName(String applicationName)` The application name.
`DeploymentGroupInfo` `withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information about the automatic rollback configuration associated with the deployment group.
`DeploymentGroupInfo` `withAutoScalingGroups(AutoScalingGroup... autoScalingGroups)` A list of associated Auto Scaling groups.
`DeploymentGroupInfo` `withAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)` A list of associated Auto Scaling groups.
`DeploymentGroupInfo` `withDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`DeploymentGroupInfo` `withDeploymentGroupId(String deploymentGroupId)` The deployment group ID.
`DeploymentGroupInfo` `withDeploymentGroupName(String deploymentGroupName)` The deployment group name.
`DeploymentGroupInfo` `withEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)` The Amazon EC2 tags on which to filter.
`DeploymentGroupInfo` `withEc2TagFilters(EC2TagFilter... ec2TagFilters)` The Amazon EC2 tags on which to filter.
`DeploymentGroupInfo` `withOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)` The on-premises instance tags on which to filter.
`DeploymentGroupInfo` `withOnPremisesInstanceTagFilters(TagFilter... onPremisesInstanceTagFilters)` The on-premises instance tags on which to filter.
`DeploymentGroupInfo` `withServiceRoleArn(String serviceRoleArn)` A service role ARN.
`DeploymentGroupInfo` `withTargetRevision(RevisionLocation targetRevision)` Information about the deployment group's target revision, including type and location.
`DeploymentGroupInfo` `withTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)` Information about triggers associated with the deployment group.
`DeploymentGroupInfo` `withTriggerConfigurations(TriggerConfig... triggerConfigurations)` Information about triggers associated with the deployment group.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeploymentGroupInfo

    public DeploymentGroupInfo()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.

#### getApplicationName

    public String getApplicationName()

The application name.

Returns:
  The application name.

#### withApplicationName

    public DeploymentGroupInfo withApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupId

    public void setDeploymentGroupId(String deploymentGroupId)

The deployment group ID.

Parameters:
  `deploymentGroupId` - The deployment group ID.

#### getDeploymentGroupId

    public String getDeploymentGroupId()

The deployment group ID.

Returns:
  The deployment group ID.

#### withDeploymentGroupId

    public DeploymentGroupInfo withDeploymentGroupId(String deploymentGroupId)

The deployment group ID.

Parameters:
  `deploymentGroupId` - The deployment group ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupName

    public void setDeploymentGroupName(String deploymentGroupName)

The deployment group name.

Parameters:
  `deploymentGroupName` - The deployment group name.

#### getDeploymentGroupName

    public String getDeploymentGroupName()

The deployment group name.

Returns:
  The deployment group name.

#### withDeploymentGroupName

    public DeploymentGroupInfo withDeploymentGroupName(String deploymentGroupName)

The deployment group name.

Parameters:
  `deploymentGroupName` - The deployment group name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The deployment configuration name.

Returns:
  The deployment configuration name.

#### withDeploymentConfigName

    public DeploymentGroupInfo withDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEc2TagFilters

    public List<EC2TagFilter> getEc2TagFilters()

The Amazon EC2 tags on which to filter.

Returns:
  The Amazon EC2 tags on which to filter.

#### setEc2TagFilters

    public void setEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)

The Amazon EC2 tags on which to filter.

Parameters:
  `ec2TagFilters` - The Amazon EC2 tags on which to filter.

#### withEc2TagFilters

    public DeploymentGroupInfo withEc2TagFilters(EC2TagFilter... ec2TagFilters)

The Amazon EC2 tags on which to filter.

NOTE: This method appends the values to the existing list (if any). Use `setEc2TagFilters(java.util.Collection)` or `withEc2TagFilters(java.util.Collection)` if you want to override the existing values.

Parameters:
  `ec2TagFilters` - The Amazon EC2 tags on which to filter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEc2TagFilters

    public DeploymentGroupInfo withEc2TagFilters(Collection<EC2TagFilter> ec2TagFilters)

The Amazon EC2 tags on which to filter.

Parameters:
  `ec2TagFilters` - The Amazon EC2 tags on which to filter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getOnPremisesInstanceTagFilters

    public List<TagFilter> getOnPremisesInstanceTagFilters()

The on-premises instance tags on which to filter.

Returns:
  The on-premises instance tags on which to filter.

#### setOnPremisesInstanceTagFilters

    public void setOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)

The on-premises instance tags on which to filter.

Parameters:
  `onPremisesInstanceTagFilters` - The on-premises instance tags on which to filter.

#### withOnPremisesInstanceTagFilters

    public DeploymentGroupInfo withOnPremisesInstanceTagFilters(TagFilter... onPremisesInstanceTagFilters)

The on-premises instance tags on which to filter.

NOTE: This method appends the values to the existing list (if any). Use `setOnPremisesInstanceTagFilters(java.util.Collection)` or `withOnPremisesInstanceTagFilters(java.util.Collection)` if you want to override the existing values.

Parameters:
  `onPremisesInstanceTagFilters` - The on-premises instance tags on which to filter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withOnPremisesInstanceTagFilters

    public DeploymentGroupInfo withOnPremisesInstanceTagFilters(Collection<TagFilter> onPremisesInstanceTagFilters)

The on-premises instance tags on which to filter.

Parameters:
  `onPremisesInstanceTagFilters` - The on-premises instance tags on which to filter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getAutoScalingGroups

    public List<AutoScalingGroup> getAutoScalingGroups()

A list of associated Auto Scaling groups.

Returns:
  A list of associated Auto Scaling groups.

#### setAutoScalingGroups

    public void setAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)

A list of associated Auto Scaling groups.

Parameters:
  `autoScalingGroups` - A list of associated Auto Scaling groups.

#### withAutoScalingGroups

    public DeploymentGroupInfo withAutoScalingGroups(AutoScalingGroup... autoScalingGroups)

A list of associated Auto Scaling groups.

NOTE: This method appends the values to the existing list (if any). Use `setAutoScalingGroups(java.util.Collection)` or `withAutoScalingGroups(java.util.Collection)` if you want to override the existing values.

Parameters:
  `autoScalingGroups` - A list of associated Auto Scaling groups.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withAutoScalingGroups

    public DeploymentGroupInfo withAutoScalingGroups(Collection<AutoScalingGroup> autoScalingGroups)

A list of associated Auto Scaling groups.

Parameters:
  `autoScalingGroups` - A list of associated Auto Scaling groups.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRoleArn

    public void setServiceRoleArn(String serviceRoleArn)

A service role ARN.

Parameters:
  `serviceRoleArn` - A service role ARN.

#### getServiceRoleArn

    public String getServiceRoleArn()

A service role ARN.

Returns:
  A service role ARN.

#### withServiceRoleArn

    public DeploymentGroupInfo withServiceRoleArn(String serviceRoleArn)

A service role ARN.

Parameters:
  `serviceRoleArn` - A service role ARN.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTargetRevision

    public void setTargetRevision(RevisionLocation targetRevision)

Information about the deployment group's target revision, including type and location.

Parameters:
  `targetRevision` - Information about the deployment group's target revision, including type and location.

#### getTargetRevision

    public RevisionLocation getTargetRevision()

Information about the deployment group's target revision, including type and location.

Returns:
  Information about the deployment group's target revision, including type and location.

#### withTargetRevision

    public DeploymentGroupInfo withTargetRevision(RevisionLocation targetRevision)

Information about the deployment group's target revision, including type and location.

Parameters:
  `targetRevision` - Information about the deployment group's target revision, including type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTriggerConfigurations

    public List<TriggerConfig> getTriggerConfigurations()

Information about triggers associated with the deployment group.

Returns:
  Information about triggers associated with the deployment group.

#### setTriggerConfigurations

    public void setTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)

Information about triggers associated with the deployment group.

Parameters:
  `triggerConfigurations` - Information about triggers associated with the deployment group.

#### withTriggerConfigurations

    public DeploymentGroupInfo withTriggerConfigurations(TriggerConfig... triggerConfigurations)

Information about triggers associated with the deployment group.

NOTE: This method appends the values to the existing list (if any). Use `setTriggerConfigurations(java.util.Collection)` or `withTriggerConfigurations(java.util.Collection)` if you want to override the existing values.

Parameters:
  `triggerConfigurations` - Information about triggers associated with the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTriggerConfigurations

    public DeploymentGroupInfo withTriggerConfigurations(Collection<TriggerConfig> triggerConfigurations)

Information about triggers associated with the deployment group.

Parameters:
  `triggerConfigurations` - Information about triggers associated with the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlarmConfiguration

    public void setAlarmConfiguration(AlarmConfiguration alarmConfiguration)

A list of alarms associated with the deployment group.

Parameters:
  `alarmConfiguration` - A list of alarms associated with the deployment group.

#### getAlarmConfiguration

    public AlarmConfiguration getAlarmConfiguration()

A list of alarms associated with the deployment group.

Returns:
  A list of alarms associated with the deployment group.

#### withAlarmConfiguration

    public DeploymentGroupInfo withAlarmConfiguration(AlarmConfiguration alarmConfiguration)

A list of alarms associated with the deployment group.

Parameters:
  `alarmConfiguration` - A list of alarms associated with the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAutoRollbackConfiguration

    public void setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information about the automatic rollback configuration associated with the deployment group.

Parameters:
  `autoRollbackConfiguration` - Information about the automatic rollback configuration associated with the deployment group.

#### getAutoRollbackConfiguration

    public AutoRollbackConfiguration getAutoRollbackConfiguration()

Information about the automatic rollback configuration associated with the deployment group.

Returns:
  Information about the automatic rollback configuration associated with the deployment group.

#### withAutoRollbackConfiguration

    public DeploymentGroupInfo withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information about the automatic rollback configuration associated with the deployment group.

Parameters:
  `autoRollbackConfiguration` - Information about the automatic rollback configuration associated with the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeploymentGroupInfo clone()

Overrides:
  `clone` in class `Object`